Bug 1468389 - [abrt] iotop: refresh_display(): ui.py:454:refresh_display:_curses.error: wmove() returned ERR
[abrt] iotop: refresh_display(): ui.py:454:refresh_display:_curses.error: wmo...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: iotop (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ffa5e11e57722feab2a0d488ed1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 19:03 EDT by Arne
Modified: 2018-05-29 07:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:21:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.46 KB, text/plain)
2017-07-06 19:03 EDT, Arne
no flags Details
File: cgroup (355 bytes, text/plain)
2017-07-06 19:03 EDT, Arne
no flags Details
File: cpuinfo (1.13 KB, text/plain)
2017-07-06 19:03 EDT, Arne
no flags Details
File: environ (2.09 KB, text/plain)
2017-07-06 19:03 EDT, Arne
no flags Details
File: mountinfo (3.56 KB, text/plain)
2017-07-06 19:04 EDT, Arne
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-06 19:04 EDT, Arne
no flags Details
File: open_fds (448 bytes, text/plain)
2017-07-06 19:04 EDT, Arne
no flags Details

  None (edit)
Description Arne 2017-07-06 19:03:48 EDT
Description of problem:
iotop has been running in a tmux session with several open panes
gnome terminal crashed and I had to start it again
when I re attached to the tmux session iotop showed this error message

Version-Release number of selected component:
iotop-0.6-14.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 -s /sbin/iotop -o
crash_function: refresh_display
exception_type: _curses.error
executable:     /sbin/iotop
kernel:         4.11.8-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
ui.py:454:refresh_display:_curses.error: wmove() returned ERR

Traceback (most recent call last):
  File "/sbin/iotop", line 17, in <module>
    main()
  File "/usr/lib/python3.6/site-packages/iotop/ui.py", line 631, in main
    main_loop()
  File "/usr/lib/python3.6/site-packages/iotop/ui.py", line 621, in <lambda>
    main_loop = lambda: run_iotop(options)
  File "/usr/lib/python3.6/site-packages/iotop/ui.py", line 508, in run_iotop
    return curses.wrapper(run_iotop_window, options)
  File "/usr/lib64/python3.6/curses/__init__.py", line 94, in wrapper
    return func(stdscr, *args, **kwds)
  File "/usr/lib/python3.6/site-packages/iotop/ui.py", line 501, in run_iotop_window
    ui.run()
  File "/usr/lib/python3.6/site-packages/iotop/ui.py", line 155, in run
    self.process_list.duration)
  File "/usr/lib/python3.6/site-packages/iotop/ui.py", line 454, in refresh_display
    self.width)
_curses.error: wmove() returned ERR

Local variables in innermost frame:
s: 'Actual DISK READ:      47.49 M/s | Actual DISK WRITE:       7.64 M/s'
lines: []
titles: ['  TID', '  PRIO', '  USER', '     DISK READ', '  DISK WRITE', '  SWAPIN', '      IO', '    COMMAND']
pid: '  TID'
duration: 1.257002592086792
actual: (62590976, 10076160)
total: (58257408, 20914176)
first_time: False
summary: ['Total DISK READ :      44.20 M/s | Total DISK WRITE :      15.87 M/s', 'Actual DISK READ:      47.49 M/s | Actual DISK WRITE:       7.64 M/s']
self: <iotop.ui.IOTopUI object at 0x7f5c08428e80>
i: 1

Potential duplicate: bug 1376111
Comment 1 Arne 2017-07-06 19:03:54 EDT
Created attachment 1295094 [details]
File: backtrace
Comment 2 Arne 2017-07-06 19:03:56 EDT
Created attachment 1295095 [details]
File: cgroup
Comment 3 Arne 2017-07-06 19:03:57 EDT
Created attachment 1295096 [details]
File: cpuinfo
Comment 4 Arne 2017-07-06 19:03:59 EDT
Created attachment 1295097 [details]
File: environ
Comment 5 Arne 2017-07-06 19:04:01 EDT
Created attachment 1295098 [details]
File: mountinfo
Comment 6 Arne 2017-07-06 19:04:03 EDT
Created attachment 1295099 [details]
File: namespaces
Comment 7 Arne 2017-07-06 19:04:04 EDT
Created attachment 1295100 [details]
File: open_fds
Comment 8 Fedora End Of Life 2018-05-03 04:03:08 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2018-05-29 07:21:48 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.